package org.ow2.util.pool.impl.enhanced.impl.waitcontrol;


/**
 * @author Gael Lalire
 */
public final class WaitAuthorization {

    /**
     * This field is volatile so after set in one thread, other thread will see new value.
     */
    private volatile boolean waitAllowed = true;

    public boolean isWaitAllowed() {
        return waitAllowed;
    }

    public void forbidWait() {
        waitAllowed = false;
    }

}
