package org.ow2.util.pool.impl.enhanced.impl.clue.basiccluemanager;

import org.ow2.util.pool.impl.enhanced.api.clue.basiccluemanager.IAccessibleClue;
import org.ow2.util.pool.impl.enhanced.api.clue.basiccluemanager.IClueAccessor;

/**
 *
 * @author Gael Lalire
 * @param <E> pool item type
 * @param <C> clue type
 */
public class BasicClueAccessor<E extends IAccessibleClue<C>, C> implements IClueAccessor<E, C> {

    public C getClue(final E poolItem) {
        return poolItem.getClue();
    }

    public void setClue(final E poolItem, final C clue) {
        poolItem.setClue(clue);
    }

}
